Trade
Authorization
Signed mode: every request is signed with your App Key/Secret. Header set:
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string · header | Required | The account Access Token from the OpenAPI dashboard — passed as the raw token (no Bearer prefix) and included in the signature calculation. |
X-Api-Key | string · header | Required | Your App Key. |
X-Timestamp | string · header | Required | Request timestamp in seconds (Unix epoch). |
X-Api-Signature | string · header | Required | HMAC-SHA256 signature. Format: HMAC-SHA256 SignedHeaders=authorization;x-api-key;x-timestamp, Signature=. |
The API is used to obtain capital inflow/outflow direction, capital type, capital amount, occurrence time, associated stock code and capital flow description information.
Request
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
start_time | string | Required | start time timestamp, in `seconds`, E.g:`1650037563` |
end_time | string | Required | end time timestamp, in `seconds`, E.g:`1650747581` |
business_type | string | Optional | Balance type. <b>Option:</b>, `1` - cash, `2` - stock, `3` - fund |
symbol | string | Optional | Target code, E.g:`AAPL.US` |
page | string | Optional | start page. <b>Default value:</b> `1`, <b>Data validation rules:</b>, <b>Ranges:</b> `>=1` |
size | string | Optional | page size. <b>Default value:</b> `50`, <b>Data validation rules:</b> `1~10000` |
Response
Response properties
| Name | Type | Required | Description |
|---|---|---|---|
list | object[] | Optional | Cash flow info |
└ transaction_flow_name | string | Required | Cash flow name |
└ direction | string | Required | outflow direction. <b>Option:</b>, `1` - outflow, `2` - inflow |
└ business_type | string | Required | Funding Category. <b>Option:</b>, `1` - cash, `2` - stock, `3` - fund |
└ balance | string | Required | Cash amount |
└ currency | string | Required | Cash Currency |
└ business_time | string | Required | business time |
└ symbol | string | Optional | associated Stock code information |
└ description | string | Optional | Cash flow description |
Response JSON example
{
"code": 0,
"data": {
"list": [
{
"transaction_flow_name": "BuyContract-Stocks",
"direction": 1,
"balance": "-248.60",
"currency": "USD",
"business_time": "1621507957",
"symbol": "AAPL.US",
"description": "AAPL"
},
{
"transaction_flow_name": "BuyContract-Stocks",
"direction": 1,
"balance": "-125.16",
"currency": "USD",
"business_time": "1621504824",
"symbol": "AAPL.US",
"description": "AAPL"
}
]
}
}Error code
See the Error Codes page for the full list of error codes.